﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectByldozer.Drawnings
{
    public class DrawningTrackedCarCompareByColor : IComparer<DrawningTrackedCar?>
    {
        public int Compare(DrawningTrackedCar? x, DrawningTrackedCar? y)
        {
            if (x == null || x.EntityTrackedCar == null)
            {
                return 1;
            }

            if (y == null || y.EntityTrackedCar == null)
            {
                return -1;
            }
            var bodycolorCompare = x.EntityTrackedCar.BodyColor.Name.CompareTo(y.EntityTrackedCar.BodyColor.Name);
            if (bodycolorCompare != 0)
            {
                return bodycolorCompare;
            }
            var speedCompare = x.EntityTrackedCar.Speed.CompareTo(y.EntityTrackedCar.Speed);
            if (speedCompare != 0)
            {
                return speedCompare;
            }
            return x.EntityTrackedCar.Weight.CompareTo(y.EntityTrackedCar.Weight);
        }
    }
}
